MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000217Soldat Dedicated ServerScripting Corepublic2012-05-25 21:202012-08-23 21:16
ReporterDorkeyDear 
Assigned ToFalcon 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version2.7.3 
Target VersionFixed in Version2.7.4 
Summary0000217: Starting server with no scripts and scripting enabled
DescriptionWhen starting the server with scripting enabled, and with no files or directories in the scripts folder, the server does not start properly. Refer to Additional Information for the server console output.

Aside: When a directory without contents is added to the script folder, the server still reverts to the old script directory structure.

Should the expected behavior when attempting to start the Soldat server be not starting up at all (current behavior), or starting up with no scripts? I would think the later.
Steps To ReproduceEnable scripting -- Server.ini >> [NETWORK] Scripting=1
Remove all contents of the scripts directory
Start the server
Refer to Additional Information for the server console output.
Additional Information
             -= Soldat Dedicated Server 1.6.3 - 2.7.3 =-

----------------------------------------------------------------
         Soldat Dedicated Server initializing...
----------------------------------------------------------------

   Need help running your server?
   IRC: #soldat.devs @ irc.quakenet.org

   ---> http://soldatforums.com/ [^]

   Additional parameters:
   ./soldatserver -p PORT -l MAXPLAYERS -k PASSWORD
   Example: ./soldatserver -p 23073 -l 16 -k "my pass"

Using Indy 10


[15:09:07] Hit CTRL+C to Exit
[15:09:07] Please command the server using the Soldat Admin program
[15:09:07] Welcome to Soldat 1.6.3
[15:09:07] Server name: Curt's Soldat Server
[15:09:07] Server PID: 8268
[15:09:07] [*] ScriptCore v2.4 loaded! Found 0 scripts...
[15:09:07] [*] Loading old script directory structure...
[15:09:07] [*] Includes File not found: scripts/Includes.txt
Server Encountered an error:
Script is not compiled
[15:09:07] Shutting down server...
[15:09:07] Shutting down admin server...
[15:09:07] Shutting down ScriptCore...
^CTerminate batch job (Y/N)?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-05-25 21:20 DorkeyDear New Issue
2012-05-25 21:23 Falcon Status new => confirmed
2012-06-23 00:10 Falcon Assigned To => Falcon
2012-06-23 00:10 Falcon Status confirmed => assigned
2012-08-23 21:16 Falcon Status assigned => resolved
2012-08-23 21:16 Falcon Fixed in Version => 2.7.4
2012-08-23 21:16 Falcon Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker